Subject: 24.0.93; ido.el: Documentation for C-j in ido-find-file and ido-switch-buffer

From: David Röthlisberger <[email-masked]>
Date: Sun, 8 Apr 2012 13:33:22 +0100

The documentation string for 'ido-find-file' has the following description for 'C-j':

> Select the current prompt as the buffer or file.
> If no buffer or file is found, prompt for a new one.

I found this rather confusing. The word "prompt" isn't used anywhere else in the documentation string to mean what the user has typed; whereas "string", "input string" and "substring" are used several times. 'ido-switch-buffer' has the same problem.

When I was a new user of 'ido', the most annoying thing was not being able to visit a new, non-existent file or buffer, because the name I wanted would match part of another file/buffer name. I reading the documentation several times but still didn't realize that's what C-j does.

The second sentence ("If no buffer or file is found, prompt for a new one") seems to be flat-out false. I have not been able to reproduce this behaviour under ido-find-file or ido-switch-buffer, with empty input or otherwise.

Patch below.

Kind regards,
Dave.

From: David Rothlisberger <[email-masked]>
Date: Sun, 8 Apr 2012 12:56:56 +0100
Subject: [PATCH] * ido.el: Documentation for C-j in ido-find-file and
 ido-switch-buffer.

---
 lisp/ido.el |    6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/lisp/ido.el b/lisp/ido.el
index fe94c7f..4f1bf04 100644
--- a/lisp/ido.el
+++ b/lisp/ido.el
@@ -4046,8 +4046,7 @@ (defun ido-switch-buffer ()
 RET Select the buffer at the front of the list of matches.  If the
 list is empty, possibly prompt to create new buffer.
 
-\\[ido-select-text] Select the current prompt as the buffer.
-If no buffer is found, prompt for a new one.
+\\[ido-select-text] Use the current input string verbatim.
 
 \\[ido-next-match] Put the first element at the end of the list.
 \\[ido-prev-match] Put the last element at the start of the list.
@@ -4133,8 +4132,7 @@ (defun ido-find-file ()
 RET Select the file at the front of the list of matches.  If the
 list is empty, possibly prompt to create new file.
 
-\\[ido-select-text] Select the current prompt as the buffer or file.
-If no buffer or file is found, prompt for a new one.
+\\[ido-select-text] Use the current input string verbatim.
 
 \\[ido-next-match] Put the first element at the end of the list.
 \\[ido-prev-match] Put the last element at the start of the list.
-- 
1.7.9.2